Implementation of this project allows two machines to communicate over a network.
Here's how to set it up and verify that it works:
1) Run SimpleServer.java on the server (such as a desktop or laptop). If you'd 
   like, edit line 13 of the file to prepare to send a custom message to the client.
2) After changing line 7 of SimpleClient.java to contain the correct host 
   address (for me, this was my Windows IPv4 address), run it on a client (not 
   the same machine as the server).
3) Verify everything worked by seeing if the console output at the client is the
   same as the message in line 13 of SimpleServer.java.